Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Class LicenseNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.common.LicenseException
                              |
                              +--weblogic.common.LicenseNotFoundException

public final class LicenseNotFoundException
extends LicenseException

Class for verifying licensing information. This is for when no license is found.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `NO_LICENSE_HELP_URL`
`static java.lang.String` | `NO_LICENSE_MSG`

Constructor Summary
`LicenseNotFoundException()` Constructs a LicenseNotFoundException with a general exception message.
`LicenseNotFoundException(java.lang.String val)` Constructs a LicenseException with the specified string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_LICENSE_HELP_URL

    public static final java.lang.String NO_LICENSE_HELP_URL

### NO_LICENSE_MSG

    public static final java.lang.String NO_LICENSE_MSG

Constructor Detail

### LicenseNotFoundException

    public LicenseNotFoundException()

  Constructs a LicenseNotFoundException with a general exception message.

### LicenseNotFoundException

    public LicenseNotFoundException(java.lang.String val)

  Constructs a LicenseException with the specified string.

  Parameters:
    `val` - String message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD